Skip to main content
GET
List milestones

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

offset
integer
default:0

Number of items to skip for pagination (0-based)

Required range: 0 <= x <= 1000
Example:

0

limit
integer
default:10

Maximum number of items to return per page

Required range: 1 <= x <= 100
Example:

25

slug
string

Filter by milestone slug (exact match)

Example:

"user-authentication-v2"

is_public
boolean

Filter by public visibility status

Example:

true

status
string

Filter by milestone status

project_id
string

Filter by project ID

Response

List of milestones retrieved successfully

id
string

Unique milestone identifier

title
string

Milestone title

body
string

Milestone description/body content (HTML formatted)

slug
string

URL-friendly milestone identifier

status
string

Current milestone status

stage
string

Current milestone stage

is_public
boolean

Whether milestone is publicly visible

upvote_count
integer

Number of votes for this milestone

project
object
labels
object[]
attachments
object[]
created_at
string<date-time>

When the milestone was created

updated_at
string<date-time>

When the milestone was last updated